TestActionMessage (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class TestActionMessage

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.action.TestActionMessage

All Implemented Interfaces:
  junit.framework.Test

    public class TestActionMessage

extends junit.framework.TestCase

Unit tests for the `org.apache.struts.action.ActionMessage` class.

Version:
  $Rev: 471754 $ $Date: 2005-05-19 23:50:06 -0400 (Thu, 19 May 2005) $

Field Summary
`protected ActionMessage` | `amNoResource`
`protected ActionMessage` | `amWithArrayValues`
`protected ActionMessage` | `amWithFourValues`
`protected ActionMessage` | `amWithNoValue`
`protected ActionMessage` | `amWithOneValue`
`protected ActionMessage` | `amWithThreeValues`
`protected ActionMessage` | `amWithTwoIntegerValues`
`protected ActionMessage` | `amWithTwoValues`
`protected Object[]` | `test_values`

Constructor Summary
`TestActionMessage(String theName)` Defines the testcase name for JUnit.

Method Summary
`static void` | `main(String[] theArgs)` Start the tests.
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testActionMessageWithArrayValues()`
`void` | `testActionMessageWithAStringValue()`
`void` | `testActionMessageWithFourValues()`
`void` | `testActionMessageWithNoValue()`
`void` | `testActionMessageWithThreeValues()`
`void` | `testActionMessageWithTwoValues()`
`void` | `testActionNoResource()`
`void` | `testActionWithTwoIntegers()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### amWithNoValue

    protected ActionMessage amWithNoValue

### amWithOneValue

    protected ActionMessage amWithOneValue

### amWithTwoValues

    protected ActionMessage amWithTwoValues

### amWithThreeValues

    protected ActionMessage amWithThreeValues

### amWithFourValues

    protected ActionMessage amWithFourValues

### amWithArrayValues

    protected ActionMessage amWithArrayValues

### amWithTwoIntegerValues

    protected ActionMessage amWithTwoIntegerValues

### amNoResource

    protected ActionMessage amNoResource

### test_values

    protected Object[] test_values

Constructor Detail

### TestActionMessage

    public TestActionMessage(String theName)

  Defines the testcase name for JUnit.

  Parameters:
    `theName` - the testcase's name.

Method Detail

### main

    public static void main(String[] theArgs)

  Start the tests.

  Parameters:
    `theArgs` - the arguments. Not used

### suite

    public static junit.framework.Test suite()

  Returns:
    a test suite (`TestSuite`) that includes all methods starting with "test"

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testActionMessageWithNoValue

    public void testActionMessageWithNoValue()

### testActionMessageWithAStringValue

    public void testActionMessageWithAStringValue()

### testActionMessageWithTwoValues

    public void testActionMessageWithTwoValues()

### testActionMessageWithThreeValues

    public void testActionMessageWithThreeValues()

### testActionMessageWithFourValues

    public void testActionMessageWithFourValues()

### testActionMessageWithArrayValues

    public void testActionMessageWithArrayValues()

### testActionWithTwoIntegers

    public void testActionWithTwoIntegers()

### testActionNoResource

    public void testActionNoResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.